BTARCMP(1)

NAME
btarcmp - a diff for Barry tar backup files

SYNOPSIS
btarcmp [-b][-d db][-D db][-h][-I charset][-P][-S][-v] tar0 tar1

DESCRIPTION

btarcmp takes two Barry backup tar files on the command line, and displays the differences it finds between them. If records can be parsed, individual field differences are also displayed. Added and removed records are noted. Differences in database availability are noted as well. If unable to parse the records, hex dumps are used.

OPTIONS

-b  Use brief filename markers. Useful when tar filenames are extremely long.

-d db
    Name of database to compare. Can be used multiple times to compare multiple databases. If not specified, all databases are compared.

-D db
    Name of database to skip. Can be used multiple times. Overrides all other database selection options.

-h  Show summary of options.

-I charset
    Specifies the iconv charset to use for converting international strings. The Blackberry uses the WINDOWS-1252 charset, which is incompatible with the more common code pages used in Linux. The most useful charset to use with this option is UTF-8, and is highly recommended. Any other charset available via 'iconv --list' can be used here too, but may not be successful for some character conversions.

-S  Displays list of known database records, which can be parsed.

-v  Verbose output, which includes record data of added and deleted records in the output. If used twice, hex data is printed as well.

AUTHOR
btarcmp is part of the Barry project.

SEE ALSO

http://www.netdirect.ca/barry